Package ghidra.framework.options

# Class NoRegisteredEditorPropertyEditor

java.lang.Object
ghidra.framework.options.NoRegisteredEditorPropertyEditor

All Implemented Interfaces:
  `PropertyEditor`

public class NoRegisteredEditorPropertyEditor extends Object implements PropertyEditor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoRegisteredEditorPropertyEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  `String`
  `getAsText()`
  `Component`
  `getCustomEditor()`
  `String`
  `getJavaInitializationString()`
  `String[]`
  `getTags()`
  `Object`
  `getValue()`
  `boolean`
  `isPaintable()`
  `void`
  `paintValue(Graphics gfx, Rectangle box)`
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  `void`
  `setAsText(String text)`
  `void`
  `setValue(Object value)`
  `boolean`
  `supportsCustomEditor()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoRegisteredEditorPropertyEditor

    public NoRegisteredEditorPropertyEditor()

- ## Method Details

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `PropertyEditor`

  - ### getAsText

    public String getAsText()
    Specified by:
      `getAsText` in interface `PropertyEditor`

  - ### getCustomEditor

    public Component getCustomEditor()
    Specified by:
      `getCustomEditor` in interface `PropertyEditor`

  - ### getJavaInitializationString

    public String getJavaInitializationString()
    Specified by:
      `getJavaInitializationString` in interface `PropertyEditor`

  - ### getTags

    public String[] getTags()
    Specified by:
      `getTags` in interface `PropertyEditor`

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `PropertyEditor`

  - ### isPaintable

    public boolean isPaintable()
    Specified by:
      `isPaintable` in interface `PropertyEditor`

  - ### paintValue

    public void paintValue(Graphics gfx, Rectangle box)
    Specified by:
      `paintValue` in interface `PropertyEditor`

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `PropertyEditor`

  - ### setAsText

    public void setAsText(String text) throws IllegalArgumentException
    Specified by:
      `setAsText` in interface `PropertyEditor`
    Throws:
      `IllegalArgumentException`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `PropertyEditor`

  - ### supportsCustomEditor

    public boolean supportsCustomEditor()
    Specified by:
      `supportsCustomEditor` in interface `PropertyEditor`